- changed echos to be able to accept localization

This commit is contained in:
Jiri Skala 2009-06-03 14:05:27 +00:00
parent 3ca187fe36
commit 67a7bce90e
3 changed files with 9 additions and 6 deletions

View File

@ -1,6 +1,6 @@
diff -up radvd-1.2/redhat/radvd.init.posix radvd-1.2/redhat/radvd.init
--- radvd-1.2/redhat/radvd.init.posix 2008-02-27 14:02:59.000000000 +0100
+++ radvd-1.2/redhat/radvd.init 2009-04-28 11:05:07.000000000 +0200
+++ radvd-1.2/redhat/radvd.init 2009-06-03 15:53:08.000000000 +0200
@@ -28,12 +28,6 @@
[ -f /etc/sysconfig/radvd ] && . /etc/sysconfig/radvd
@ -23,11 +23,11 @@ diff -up radvd-1.2/redhat/radvd.init.posix radvd-1.2/redhat/radvd.init
- [ "${NETWORKING_IPV6}" = "yes" ] || exit 1
-
+ if [ ! -f /etc/radvd.conf ]; then
+ echo "Configuration file /etc/radvd.conf missing" 1>&2
+ echo $"Configuration file /etc/radvd.conf missing" 1>&2
+ exit 6
+ fi
+ if [ `id -u` -ne 0 ]; then
+ echo "Insufficient privilege" 1>&2
+ echo $"Insufficient privilege" 1>&2
+ exit 4
+ fi
echo -n $"Starting $PROG: "

View File

@ -36,11 +36,11 @@ LOCKFILE=/var/lock/subsys/radvd
case "$1" in
start)
if [ ! -f /etc/radvd.conf ]; then
echo "Configuration file /etc/radvd.conf missing" 1>&2
echo $"Configuration file /etc/radvd.conf missing" 1>&2
exit 6
fi
if [ `id -u` -ne 0 ]; then
echo "Insufficient privilege" 1>&2
echo $"Insufficient privilege" 1>&2
exit 4
fi
echo -n $"Starting $PROG: "

View File

@ -5,7 +5,7 @@
Summary: A Router Advertisement daemon
Name: radvd
Version: 1.2
Release: 2%{?dist}
Release: 3%{?dist}
# The code includes the advertising clause, so it's GPL-incompatible
License: BSD with advertising
Group: System Environment/Daemons
@ -95,6 +95,9 @@ fi
%{_sbindir}/radvdump
%changelog
* Wed Jun 03 2009 Jiri Skala <jskala@redhat.com> - 1.2-3
- changed echos to be able to accept localization
* Tue Apr 28 2009 Jiri Skala <jskala@redhat.com> - 1.2-2
- fixed ambiguous condition in init script (exit 4)